package com.gaowj.business.student;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface studentDAO {
	
    void insert_student(Map<String,Object> entity) throws BusinessException ;
	
	void update_student(Map<String,Object> entity) throws BusinessException ;
	
	void delete_student(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_student(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_student(Map<String,Object> query) throws BusinessException ;
    
    int listCount_student(Map<String, Object> query) throws BusinessException ;

}
